# $Revision: 1.13 $, $Date: 2001/10/29 18:29:45 $
Summary:	Eazel Extensions Library
Summary(pl):	Biblioteka rozszerze Eazel
Name:		eel
Version:	1.0.2
Release:	1
License:	GPL
Group:		X11/Libraries
Group(de):	X11/Libraries
Group(es):	X11/Bibliotecas
Group(fr):	X11/Librairies
Group(pl):	X11/Biblioteki
Group(pt_BR):	X11/Bibliotecas
Group(ru):	X11/
Group(uk):	X11/̦
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/eel/%{name}-%{version}.tar.bz2
Patch0:		%{name}-font-dir.patch
URL:		http://nautilus.eazel.com/
BuildRequires:	GConf-devel >= 0.12
BuildRequires:	freetype-devel >= 2.0.1
BuildRequires:	gdk-pixbuf-devel >= 0.10.0
BuildRequires:	gnome-libs-devel >= 1.2.11
BuildRequires:	gnome-vfs-devel >= 1.0
BuildRequires:	gtk+-devel >= 1.2.9
BuildRequires:	libxml-devel >= 1.8.10
BuildRequires:	libpng-devel
BuildRequires:	librsvg-devel >= 1.0.0
BuildRequires:	oaf-devel >= 0.6.5
BuildRequires:	xml-i18n-tools
BuildRequires:	gettext-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_sysconfdir	/etc

%description
Eazel Extensions Library is a collection of widgets and extensions to
many modules of the GNOME platform.

%description -l pl
Biblioteka rozszerze Eazel

%package devel
Summary:	Libraries and include files for developing with Eel.
Summary(pl):	Biblioteki i nagwki potrzebne do developing'u z uyciem Eel.
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with Eel.

%description -l pl devel
Ten pakiet zawiera biblioteki oraz pliki nagwkowe niezbdne do
tworzenia oprogramowania z wykorzystaniem Eel.

%package static
Summary:	Static eel libraries
Summary(pl):	Biblioteki statyczne eel
Group:		X11/Development/Libraries
Group(de):	X11/Entwicklung/Libraries
Group(es):	X11/Desarrollo/Bibliotecas
Group(fr):	X11/Development/Librairies
Group(pl):	X11/Programowanie/Biblioteki
Group(pt_BR):	X11/Desenvolvimento/Bibliotecas
Group(ru):	X11//
Group(uk):	X11//̦
Requires:	%{name}-devel = %{version}

%description static
Static eel libraries.

%description -l pl static
Biblioteki statyczne eel.

%prep
%setup -q
%patch0 -p1

%build
%configure2_13 \
	--disable-gtktest \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

mkdir $RPM_BUILD_ROOT%{_includedir}/eel
cp $RPM_BUILD_ROOT%{_includedir}/eel-1/eel/*.h $RPM_BUILD_ROOT%{_includedir}/eel/
rm -rf $RPM_BUILD_ROOT%{_includedir}/eel-1

gzip -9nf AUTHORS ChangeLog NEWS

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/eel-config
%{_includedir}/eel
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/*.sh

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: eel.spec,v $
Revision 1.13  2001/10/29 18:29:45  dzimi
- fixed wrong directory, was eel-1/eel/*.h, must be eel/*.h
STB

Revision 1.12  2001/10/27 21:51:35  kloczek
- spec adapterized.

Revision 1.11  2001/10/27 12:06:34  dzimi
- update to 1.0.2 version

Revision 1.10  2001/08/03 22:24:10  blues
added gettext to buildrequires

Revision 1.9  2001/08/03 15:02:20  wrobell
- added pld specific font patch
- rel 5, stb

Revision 1.8  2001/07/31 10:13:58  kloczek
- release 4.
- spec COMPLETLY rewrited.

Revision 1.7  2001/07/25 14:55:31  aflinta
- removed unnecesary strip lines

Revision 1.6  2001/07/23 19:43:05  blues
- added %dir for /usr/X11R6/include/eel/

Revision 1.5  2001/07/22 00:27:02  blues
- cosmetics & translations
- s/tar.gz/tar.bz2/

Revision 1.4  2001/07/21 19:51:48  blues
- changed prefix
- disabled stupid gtk-tests
- some cosmetics and simplifications
STB

Revision 1.3  2001/07/21 15:39:14  blues
- 1.0.1
- URL added
- corrected some stupid define
- more cosmetics
NYF

Revision 1.2  2001/07/21 15:21:03  blues
- adapterized
- some cosmetics

* Wed Apr 04 2000 Ramiro Estrugo <ramiro@eazel.com>
- created this thing
